$(document).ready(function() {

	if (navigator.userAgent.match(/(iPod|iPhone|iPad)/)) {
		$('#bigPlayButton%id%, #videoPlayerControls%id%').attr('style', 'display: none !important');
		$('#videoPlayerVideo%id%').attr('controls', '');
	}

	%[if %("%id=pauseon_outsideclick%" == "true")% ]%
	// Pause the Playlister stack by clicking anywhere outside of itself
	$(document).mouseup(function (e) {
		var container = $("#videoPlayerContainer%id%");
		if (!container.is(e.target) // if the target of the click isn't the container...
	    && container.has(e.target).length === 0) // ... nor a descendant of the container
		{
	    video.pause();
	    playButton.innerHTML = "<i class='fa fa-play'></i>";
	   }
	});
	%[endif]%

	// Variables
	var video = document.getElementById("videoPlayerVideo%id%");
	var bigPlayButton = document.getElementById("bigPlayButton%id%");
	var playButton = document.getElementById("videoPlayerPlayPause%id%");
	var muteButton = document.getElementById("volumeMin%id%");
	var fullVolumeButton = document.getElementById("volumeMax%id%");
	var textduration = document.getElementById("videoPlayerDuration%id%");
	var textcurrenttime = document.getElementById("videoPlayerCurrentTime%id%");
	var fullScreenButton = document.getElementById("videoPlayerFullScreen%id%");
	var seekBar = document.getElementById("videoPlayerSeekBar%id%");
	var volumeBar = document.getElementById("volume-bar%id%");

	// Check video is available, before constructing the player
	if (video) {

		// Event listener for the big play button
		bigPlayButton.addEventListener("click", function() {
			if (video.paused == true) {
				video.playbackRate = %id=playback_rate%;
				video.play();
				video.volume = %id=default_volume%;
				playButton.innerHTML = "<i class='fa fa-pause'></i>";
				bigPlayButton.innerHTML = "";
			}
		});

		// Event listener for the play/pause button
		playButton.addEventListener("click", function() {
			if (video.paused == true) {
				video.playbackRate = %id=playback_rate%;
				video.play();
				video.volume = %id=default_volume%;
				playButton.innerHTML = "<i class='fa fa-pause'></i>";
				bigPlayButton.innerHTML = "";
			} else {
				video.pause();
				playButton.innerHTML = "<i class='fa fa-play'></i>";
			}
		});

		// Event listener for the seek bar
		seekBar.addEventListener("change", function() {
			var time = video.duration * (seekBar.value / 100); // Calculate the new time
			video.currentTime = time; // Update the video time
		});

		// Update the seek bar as the video plays
		video.addEventListener("timeupdate", function() {
			var value = (100 / video.duration) * video.currentTime; // Calculate the slider value
			seekBar.value = value; // Update the slider value
		});

		video.addEventListener("timeupdate", function(){
	    var whereYouAt = (video.currentTime);
	    var minutes = Math.floor(whereYouAt / 60);
	    var seconds = Math.floor(whereYouAt - minutes * 60)
	    var x = minutes < 10 ? "0" + minutes : minutes;
	    var y = seconds < 10 ? "0" + seconds : seconds;

	    document.getElementById("videoPlayerCurrentTime%id%").innerHTML = x + ":" + y;
		},
		false);

		// Video duration
		video.addEventListener("loadedmetadata", function(){
	    var totaltime = (video.duration);
	    var minutes = Math.floor(totaltime / 60);
	    var seconds = Math.floor(totaltime - minutes * 60)
	    var x = minutes < 10 ? "0" + minutes : minutes;
	    var y = seconds < 10 ? "0" + seconds : seconds;

	    document.getElementById("videoPlayerDuration%id%").innerHTML = x + ":" + y;
		},
		false);

		// Play the video when the seek handle is dropped
		seekBar.addEventListener("mouseup", function() {
			bigPlayButton.innerHTML = "";
		});

		// Event listener for the volume bar
		volumeBar.addEventListener("change", function() {
			video.volume = volumeBar.value;
		});

		// Event listener for the mute button
		muteButton.addEventListener("click", function() {
			video.volume = 0;
			volumeBar.value = 0;
		});

		// Event listener for the full volume button
		fullVolumeButton.addEventListener("click", function() {
			video.volume = 1.00;
			volumeBar.value = 1.00;
		});

		// Event listener for the full-screen button
		fullScreenButton.addEventListener("click", function() {
			if (video.requestFullscreen) {
				video.requestFullscreen();
			} else if (video.mozRequestFullScreen) {
				video.mozRequestFullScreen(); // Firefox
			} else if (video.webkitRequestFullscreen) {
				video.webkitRequestFullscreen(); // Chrome and Safari
			}
		});

		// When the video stops playing
		video.addEventListener("ended", function() {
	    video.currentTime = 0;
	    playButton.innerHTML = "<i class='fa fa-play'></i>";
	    bigPlayButton.innerHTML = "<i class='fa fa-play'></i>";
		});
	};
});
